Skip to main content
`Ctrl`+`K`

# DMSwarmInitializeFieldRegister

Initiates the registration of fields to a `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmInitializeFieldRegister(DM dm)

Collective

## Input Parameter

- dm - a `DMSWARM`

## Note

After all fields have been registered, you must call `DMSwarmFinalizeFieldRegister()`.

## See Also

`DM`, `DMSWARM`, `DMSwarmFinalizeFieldRegister()`, `DMSwarmRegisterPetscDatatypeField()`, `DMSwarmRegisterUserStructField()`, `DMSwarmRegisterUserDatatypeField()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/dm/tutorials/swarm_ex2.c
src/dm/tutorials/swarm_ex1.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages